summaryrefslogtreecommitdiff
path: root/dev-python/python-stdnum
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-python/python-stdnum
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-python/python-stdnum')
-rw-r--r--dev-python/python-stdnum/Manifest1
-rw-r--r--dev-python/python-stdnum/metadata.xml16
-rw-r--r--dev-python/python-stdnum/python-stdnum-2.2.ebuild35
3 files changed, 52 insertions, 0 deletions
diff --git a/dev-python/python-stdnum/Manifest b/dev-python/python-stdnum/Manifest
new file mode 100644
index 000000000000..3b3660254081
--- /dev/null
+++ b/dev-python/python-stdnum/Manifest
@@ -0,0 +1 @@
+DIST python_stdnum-2.2.tar.gz 1311813 BLAKE2B 2f7cbe45536f27d16a9105749019a0efe1f86c635db53db3ff30098aca5d07bbaf3e05556619ef94be984e83bc3c0b5af4a1665dc98303107e4b7cad07775c42 SHA512 a4092ce09817e1606908836c8068f3dc9ccc69a21c969757fb052d755f5a475503cb722fe55100201843b551194174a27bd9ef1818a0f3befa1578dc6395234f
diff --git a/dev-python/python-stdnum/metadata.xml b/dev-python/python-stdnum/metadata.xml
new file mode 100644
index 000000000000..27b2aa1c388d
--- /dev/null
+++ b/dev-python/python-stdnum/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <use>
+ <flag name="vies">Enable VIES</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">arthurdejong/python-stdnum</remote-id>
+ <remote-id type="pypi">python-stdnum</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-stdnum/python-stdnum-2.2.ebuild b/dev-python/python-stdnum/python-stdnum-2.2.ebuild
new file mode 100644
index 000000000000..7fd1003fbc8c
--- /dev/null
+++ b/dev-python/python-stdnum/python-stdnum-2.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A module to handle standardized numbers and codes"
+HOMEPAGE="
+ https://arthurdejong.org/python-stdnum/
+ https://github.com/arthurdejong/python-stdnum/
+ https://pypi.org/project/python-stdnum/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 arm64 x86"
+IUSE="vies"
+
+RDEPEND="
+ vies? (
+ dev-python/zeep[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov.*::' setup.cfg || die
+ distutils-r1_src_prepare
+}